Package org.freeplane.core.util

# Class HtmlUtils.IndexPair

java.lang.Object
org.freeplane.core.util.HtmlUtils.IndexPair

Enclosing class:
  HtmlUtils

public static class HtmlUtils.IndexPair extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final boolean`
  `mIsTag`
  `final int`
  `originalEnd`
  `final int`
  `originalStart`
  `final int`
  `pureTextEnd`
  `final int`
  `pureTextStart`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexPair(int pOriginalStart, int pOriginalEnd, int pPureTextStart, int pPureTextEnd, boolean pIsTag)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### mIsTag

    public final boolean mIsTag

  - ### originalEnd

    public final int originalEnd

  - ### originalStart

    public final int originalStart

  - ### pureTextEnd

    public final int pureTextEnd

  - ### pureTextStart

    public final int pureTextStart

- ## Constructor Details

  - ### IndexPair

    public IndexPair(int pOriginalStart, int pOriginalEnd, int pPureTextStart, int pPureTextEnd, boolean pIsTag)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`